<div id="content">
    <div class="row">
        <div class="head">
            <h1> Favourite Genres </h1>
        </div>
        <div class="row" style="margin-left: 10px;" *ngIf="favouriteGenres">
            <div *ngFor="let genre of favouriteGenres" class="genres-list" [routerLink]="['/genres', genre._id]" placement="right" [ngbTooltip]="tooltipGenre">
                <h4 class="list-group-item-heading" style="margin:auto">
                    {{ genre.name }}
                </h4>
                <img style="float: right; height: 30px; width: 40px; margin-left: 10px; margin-top: auto;margin-bottom: auto;" class="icon" src="../../../../assets/icons/genre_100px.png">

                <ng-template #tooltipGenre>
                    <h3 style="font-family: Lady; color: #f2fa86;"> {{ genre.name }}</h3>
                    <p style="font-family: Lady; font-size: 15px"> {{ genre.description | slice:0:200 }}... </p>
                </ng-template>
            </div>
            <app-no-favourite-genres *ngIf="favouriteGenres.length === 0"></app-no-favourite-genres>

        </div>

    </div>
</div>
